Bug 569207 - Review Request: perl-Data-JavaScript - Dump perl data structures into JavaScript code
Summary: Review Request: perl-Data-JavaScript - Dump perl data structures into JavaScr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-28 20:04 UTC by Emmanuel Seyman
Modified: 2010-03-16 00:41 UTC (History)
2 users (show)

Fixed In Version: perl-Data-JavaScript-1.13-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 00:33:26 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-02-28 20:04:20 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Data-JavaScript/perl-Data-JavaScript.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Data-JavaScript/perl-Data-JavaScript-1.13-1.fc12.src.rpm
Description:
This module is mainly intended for CGI programming, when a perl script
generates a page with client side JavaScript code that needs access to
structures created on the server.

Comment 1 Chris Weyl 2010-03-01 03:28:40 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2020448

Comment 2 Chris Weyl 2010-03-01 03:33:15 UTC
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2020448

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
23b994594b7ca07e6200d7dbc4bb2066fd311e0c Data-JavaScript-1.13.tgz
23b994594b7ca07e6200d7dbc4bb2066fd311e0c Data-JavaScript-1.13.tgz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Data-JavaScript-1.13-1.fc13.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Data-JavaScript-1.13-1.fc13.noarch.rpm
perl(Data::JavaScript) = 1.13
perl-Data-JavaScript = 1.13-1.fc13
====> requires for perl-Data-JavaScript-1.13-1.fc13.noarch.rpm
perl >= 1:5
perl(Encode)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(vars)  

=====> perl-Data-JavaScript-1.13-1.fc13.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Data-JavaScript-1.13-1.fc13.src.rpm
====> requires for perl-Data-JavaScript-1.13-1.fc13.src.rpm
perl(ExtUtils::MakeMaker)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-01 07:54:27 UTC
(In reply to comment #2)
> 
> APPROVED    

Thanks, Chris. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Data-JavaScript
Short Description: Dump perl data structures into JavaScript code
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2010-03-01 16:58:23 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-01 22:41:50 UTC
perl-Data-JavaScript-1.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Data-JavaScript-1.13-1.fc11

Comment 6 Fedora Update System 2010-03-01 22:41:55 UTC
perl-Data-JavaScript-1.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Data-JavaScript-1.13-1.fc12

Comment 7 Fedora Update System 2010-03-03 01:50:34 UTC
perl-Data-JavaScript-1.13-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-JavaScript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3371

Comment 8 Fedora Update System 2010-03-03 01:50:50 UTC
perl-Data-JavaScript-1.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-JavaScript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-3373

Comment 9 Fedora Update System 2010-03-16 00:33:22 UTC
perl-Data-JavaScript-1.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-16 00:41:43 UTC
perl-Data-JavaScript-1.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.